IBM Support

IT21950: MQ NSS R531.10INCLUDED JAVA 7 SUPPORT BUT UPGRADING FROM EARLIERTHAN 531.10 DID NOT UPDATE TO INCLUDE THESE LIBRARIES

Subscribe

You can track all active APARs for this component.

 

APAR status

  • Closed as program error.

Error description

  • The svcmqm' was not equipped with the necessary functionality
    to install the upgraded Java libraries.
    

Local fix

  • Manually move the contents of 'opt/java/' from the unpacked
    FixPack's directory into your installation's /opt/mqm/java/
    directory.  Then change the permissions by calling chmod -R 755
    /opt/mqm/java in an oss session.
    

Problem summary

  • 'svcmqm' was not equipped with the necessary
    functionality to install the upgraded Java libraries that
    have been shipped with the FixPack.
    

Problem conclusion

  • 'svcmqm' now also moves the required Java
    libraries into the installation to be upgraded.
    

Temporary fix

  • Manually move the content of the extracted
    FixPack's 'opt/java/' directory into yourinstallation's
    opt/mqm/java/ directory.
    Then change the permissions by calling
    > chmod -R 755 <installroot>/opt/mqm/java
    from within an oss session.
    

Comments

APAR Information

  • APAR number

    IT21950

  • Reported component name

    WEBS MQ NSS ITA

  • Reported component ID

    5724A3902

  • Reported release

    531

  • Status

    CLOSED PER

  • PE

    NoPE

  • HIPER

    NoHIPER

  • Special Attention

    NoSpecatt / Xsystem

  • Submitted date

    2017-08-09

  • Closed date

    2017-08-10

  • Last modified date

    2017-08-10

  • APAR is sysrouted FROM one or more of the following:

  • APAR is sysrouted TO one or more of the following:

Fix information

  • Fixed component name

    WEBS MQ NSS ITA

  • Fixed component ID

    5724A3902

Applicable component levels

  • R531 PSY

       UP

[{"Line of Business":{"code":"LOB36","label":"IBM Automation"},"Business Unit":{"code":"BU053","label":"Cloud \u0026 Data Platform"},"Product":{"code":"SSFKSJ","label":"WebSphere MQ"},"Platform":[{"code":"PF025","label":"Platform Independent"}],"Version":"5.3.1"}]

Document Information

Modified date:
27 September 2021